1 RNO
!
The NSWC Runoff utility facilitates the preparation of documents.  It
is similar to VMS Runoff (DSR).   NSWC Runoff is invoked by using the
command verb "RNO".

  Format:    $  RNO file-spec[,...]  [qualifier...]
!
2 Parameter
!
 file-spec[,...]

  Specifies the names of one or more  files to be processed by RNO
  into one document.  The files contain text and RNO commands.  If
  you omit directory specifications  or device names,  the current
  defaults are used.  If no file type is given, .RNO is assumed.

  The document is produced as a file having  the same  name as the
  first or only input file.   The file  is created  in the current
  default directory.  The output file type is .DOC, unless the in-
  put file type is .RNT; then the output file type is .TOC.

  If no file-spec is supplied, it is prompted for.
!
2 Qualifiers

/APPENDICES

  /APPENDICES=(first[,last])

	Causes only the indicated range of appendices to be output.  The
	'first' value must be specified.   If  'last'  is not specified,
	the last appendix in the document is assumed.  The default is to
	print every appendix.  You cannot use both /CHAPTERS and /APPEN-
	DICES in a single execution of RNO.

/CHAPTERS

  /CHAPTERS=(first[,last])

	Causes only  the indicated range of chapters to be output.   The
	'first' value must be specified.   If  'last'  is not specified,
	the last chapter in the document is assumed.   The default is to
	print every chapter.   You cannot use both /CHAPTERS and /APPEN-
	DICES in a single execution of RNO.

/CONTENTS

  /CONTENTS[=file-spec]  or  /TOC[=file-spec]

	Causes RNO to create,  in addition to  the main output file,  an
	intermediate file  containing RNO commands  for creating a table
	of contents for the document.   The default is to produce no in-
	termediate file.   If a /CONTENTS or /TOC qualifier is specified
	with no file-spec, then the file  will be created with  the same
	name and location as the main output file,  except that the file
	type will be .RNT.  If an incomplete file-spec is used, the name
	of the main output file will provide defaults as needed  (except
	for the file type .RNT).  An example of creating a full document
	MYDOC.MEM with a table of contents is:

		$ RNO MYDOC /CONTENTS
		$ RNO MYDOC.RNT
		$ COPY MYDOC.TOC,MYDOC.DOC MYDOC.MEM

/CRLF

  /CRLF
  /NOCRLF

	Specifies the type of carriage control used in  the output file.
	If /CRLF is used (the default),  the output file is given "NONE"
	carriage control attributes,  and each line of the file contains
	an explicit carriage return and line feed.   These show up  when
	editing the output file, making it hard to read.

	IF /NOCRLF is specified,  the file is given "LIST" carriage con-
	trol attributes.   This makes the output  file easier to read in
	editors,  but can interfere with underlining,  escape sequences,
	half spacing, equations, or long output lines.

/DEBUG

  /DEBUG
  /NODEBUG

	Causes all input lines to be copied to the SYS$OUTPUT file (nor-
	mally the terminal screen or the  batch log file).   This can be
	helpful in determining the exact conditions of an error.

/DOWN

  /DOWN=n

	Causes 'n' blank lines to precede any header information at  the
	top of every page.   The number of text lines on a page is unaf-
	fected by this qualifier;  using /DOWN=5 with /PS=55 will create
	60-line pages,  with the top five lines  always blank.   The RNO
	commands TOP MARGIN and PAGE SIZE (fourth parameter) can be used
	similarly, but they DO subtract from the number of text lines.

/EPRINT

  /EPRINT
  /NOEPRINT

	If /NOEPRINT is specified (the default),  all error messages are
	displayed on SYS$OUTPUT.  If /EPRINT is specified, non-fatal er-
	ror messages are placed in the output file, and fatal error mes-
	sages are displayed on SYS$OUTPUT.

/EVEN

  /EVEN
  /NOEVEN

	If  /EVEN is specified  (the default),  even-numbered pages  are
	output; /NOEVEN causes all even-numbered pages to be suppressed.
	/NOEVEN  and  /NOODD are designed for printing  on both sides of
	the paper on a letter-quality printer;  the odd pages  are first
	printed with /NOEVEN, then the paper is turned over and the even
	pages are printed with /NOODD.  Extra margins for binding can be
	produced by using /RIGHT with /NOEVEN.

/FF

  /FF
  /NOFF[=n]

	If /FF is specified  (the default), an ASCII form-feed character
	is used at the end of each page.  For most printers, this causes
	an advance to the top of the next page.   No form-feed is placed
	at the beginning of the first page.

	/NOFF is used if the printer  does not recognize form-feeds,  or
	when  the output text  must be free  of form-feeds.   The end of
	each page is padded with blank lines to advance the paper to the
	beginning of the next page.   'N' is the paper length,  in lines
	(normally 66).  'N' must be less that 128.  If 'n' is omitted or
	0, then 66 is used.

/HYPHENATE

  /HYPHENATE
  /NOHYPHENATE

	If /HYPHENATE  (the default)  is specified,  RNO  will hyphenate
	words to fill lines,  as specified with the RNO commands  ENABLE
	HYPHENATION and AUTOHYPHENATE.  If /NOHYPHENATE is specified, no
	hyphenation  (either automatic or manual)  will be done, and the
	RNO command ENABLE HYPHENATION will have no effect.

/LOG

  /LOG[=ALL]
  /NOLOG

	If /LOG is specified,  RNO will display (on SYS$OUTPUT) the full
	name of each input, output, and table-of-contents file used.  In
	addition,  /LOG=ALL  causes the name of each referenced  REQUIRE
	file to be displayed.  Note that in two-pass mode each input and
	REQUIRE file will show up twice.

/ODD

  /ODD
  /NOODD

	If /ODD is specified (the default),  odd-numbered pages are out-
	put; /NOODD causes all odd-numbered pages to be suppressed.  See
	/EVEN above for more information.

/OUTPUT

  /OUTPUT=file-spec

	Allows the specification of  an output file name  or destination
	directory different from  the default.   The default name is the
	name of the first  or only input file, with a file type of  .DOC
	unless the input file type is .RNT, for which the default output
	file type is .TOC.   By default,  the output file is created  in
	the current default directory.

/PAGES

  /PAGES=(first[,last])

	Causes  only  the indicated  range of pages  to be output.   The
	'first' value must be specified.  If 'last' is omitted, the last
	page in the document  is assumed.  The default is to print every
	page.  If the document is chapter-oriented, then the /APPENDICES
	or /CHAPTERS qualifier should also be used.

/PASTHRU

  /PASTHRU
  /NOPASTHRU

	The /PASTHRU qualifier is not used unless the /OUTPUT  qualifier
	is used to send the output document  directly to a terminal  (as
	in /OUTPUT=SYS$OUTPUT);  in this case, /PASTHRU  is the default.
	It causes RNO to use PASTHRU  I/O mode to write the output file.
	See help on the VMS command  SET TERMINAL /PASTHRU for  informa-
	tion on PASTHRU mode.  If /NOPASTHRU is used, the output will be
	written to the terminal normally.  The .RNT file is not affected
	by this qualifier.

/PRINT

  /PRINT
  /NOPRINT

	If /PRINT is specified, the output file is sent to the SYS$PRINT
	output queue for printing,  and the file is deleted  after being
	printed  (this does not apply to the TOC file).   The default is
	/NOPRINT.  The qualifier /SPOOL is a synonym for /PRINT.

/PS

  /PS=(lines[,columns])

	Sets the initial output page size to the indicated values.  This
	initial setting is in effect until the first  PAGE SIZE  command
	is used.   The 'lines' value must be between 16 and 127, and the
	'columns' value must be between 16 and 255.   The default values
	are 58 lines by 60 columns.

/RIGHT

  /RIGHT=columns

	Adds extra space to the left margin.  The space provided by this
	qualifier  is in addition to that provided by the  RNO  commands
	LEFT MARGIN and ENABLE BAR.

/TOC

	See the description of the  /CONTENTS  qualifier:  /CONTENTS and
	/TOC are functionally equivalent; /CONTENTS is preferred.

/UC

  /UC
  /NOUC

	When /UC is used, all output will be in upper case.  The default
	is /NOUC, which allows normal case conversion.

/UL

  /UL=option

	Controls the method of producing underlining on the output file.
	'Option' must be one of the characters B, L, N, or S.

	  B causes underlining via a spacing-backspace.  This is de-
	    signed for small personal printers such as LA50s.  It is
	    not recommended if sub/superscripts or unusual fonts are
	    used; ASCII character 137 (octal) must be an underscore.

	  L is the default.   Underlining is done via an overprinted
	    line containing underscore characters.  If /NOCR is used
	    the line will not be overprinted,  but will show up as a
	    separate line (i.e. similar to /UL=S, with underscores).

	  N causes underlining to be suppressed.  This overrides the
	    RNO command ENABLE UNDERLINING.

	  S causes underlining  to be simulated  with hyphens on the
	    next line.  This can be used on printers which can't use
	    the B or L options.   This option  may sometimes  add an
	    extra line to a page to accommodate underlines; to avoid
	    this, the RNO command "LAYOUT n,s" with s>0 can be used.
	    This reserves an extra line for possible underlines.

/VARIANT

  /VARIANT=(label[,...])
  /NOVARIANT

	Controls the processing  of conditional text.   Conditional text
	is bracketed with the RNO commands  IF, IF NOT, ELSE, ENDIF, IM-
	MEDIATE IF, and IMMEDIATE IF NOT, which reference 'labels'.  The
	bracketed text is processed or ignored  depending on whether the
	same labels were defined with the /VARIANT qualifier.   There is
	an equivalent RNO command, VARIANT.   The RNO command NO VARIANT
	undefines labels.  By default no labels are defined.

/VERSION

  /VERSION

	Causes RNO to display on the SYS$OUTPUT file its current version
	number and date, in the format:

		NSWC RNO Rev n.nnn Created dd-mmm-yyyy hh:mm

	If /VERSION is used, but no file-spec is supplied on the command
	line which invokes RNO, then it displays the version information
	and exits; no document is produced.  If a file-spec is supplied,
	RNO displays the version AND produces the document as specified.

/WAIT

  /WAIT
  /NOWAIT

	/WAIT causes RNO to pause and display a prompt  at the beginning
	of every page, so that paper can be manually fed or forms can be
	adjusted.   This must only be used when the output is being sent
	directly to a printer which you control (g.e. /OUTPUT=SYS$OUTPUT
	is used and you have a printer attached to your terminal).   The
	default is /NOWAIT.  The prompt message is:

		Adjust page & press "return"

/WRNMSG

  /WRNMSG
  /NOWRNMSG

	/NOWRNMSG  causes warning messages to be suppressed; the default
	is /WRNMSG.   Warning messages indicate  conditions in the input
	which may cause difficulties; no actual problem may occur.

/X9700

  /X9700
  /NOX9700

	/X9700  enables features useful for producing documents on XEROX
	laser printers using the LASER utility; the default is /NOX9700.
	If /X9700 is used, the RNO commands DJDE and FONTS are made act-
	ive, escape sequences for changing fonts are defined, overstrik-
	ing is done in a LASER-compatible mode,  and the  VARIANT  label
	'X9700' is defined.

/2PASS

  /2PASS
  /NO2PASS

	/2PASS causes RNO to perform two passes on the input files.  The
	default is /NO2PASS.

	Two-pass mode allows references to precede definitions for enti-
	ties created by the  RNO  commands  DEFINE SUBSTITUTION,  DEFINE
	ITEM, and DEFINE NUMBER.   Naturally, a document will take about
	twice as long  to create in two-pass mode.   Error messages come
	out differently in  two-pass  mode;  all messages about multiple
	substitute definitions appear in pass 1, and all other non-fatal
	messages appear in pass 2.   All fatal errors  appear only once,
	and may cause output to be missing.   TYPE commands are executed
	in pass 2 and bypassed in pass 1.
!
